Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.descriptors
Class NotationPropertySource

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.PropertySource
          org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EMFCompositePropertySource
              org.eclipse.gmf.runtime.diagram.ui.properties.descriptors.NotationPropertySource

All Implemented Interfaces:
  ICompositePropertySource, IPropertySource

public class NotationPropertySource
extends EMFCompositePropertySource

`NotationPropertySource` a property source object wrapper around EMF based property source object for the notation elements - graphical edit parts, views and styles.

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.PropertySource
`itemPropertySource, object`

Constructor Summary
`NotationPropertySource(java.lang.Object object, IItemPropertySource itemPropertySource)` Create an instance of the `NotationPropertySource`
`NotationPropertySource(java.lang.Object object, IItemPropertySource itemPropertySource, java.lang.String category)` Create an instance of the `NotationPropertySource`

Method Summary
`protected IPropertyDescriptor` `newPropertyDescriptor(IItemPropertyDescriptor itemPropertyDescriptor)`

Methods inherited from class org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EMFCompositePropertySource
`addPropertySource, cacheDescriptor, createPropertyDescriptor, getCategory, getEditableValue, getLocalDescriptors, getObject, getPropertyDescriptors, getPropertyValue, isPropertySet, resetPropertyValue, setCategory, setPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotationPropertySource

    public NotationPropertySource(java.lang.Object object,
                                  IItemPropertySource itemPropertySource)

  Create an instance of the `NotationPropertySource`

Parameters:
  `object` - - a notation element: graphical edit parts, views and styles.
  `itemPropertySource` - - emf property source object

### NotationPropertySource

    public NotationPropertySource(java.lang.Object object,
                                  IItemPropertySource itemPropertySource,
                                  java.lang.String category)

  Create an instance of the `NotationPropertySource`

Parameters:
  `object` - - a notation element: graphical edit parts, views and styles.
  `itemPropertySource` - - emf property source object
  `category` - - property category (usually a 'View')

Method Detail

### newPropertyDescriptor

    protected IPropertyDescriptor newPropertyDescriptor(IItemPropertyDescriptor itemPropertyDescriptor)

  Overrides:
    `newPropertyDescriptor` in class `EMFCompositePropertySource`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.